************************************ ``GET`` Track Details ************************************ This API retrieves full metadata, stages, and configured fields for a track. Request URL ============= .. code-block:: GET /tracks/ .. warning:: Make sure to add your API key in Header of the request Parameters =========== +-------------------+------------------+---------------------------------------------------------------------------------------------------+ | Parameter | Type | Description | +===================+==================+===================================================================================================+ | track_id | *integer* | ID of the track for which details are to be fetched. | +-------------------+------------------+---------------------------------------------------------------------------------------------------+ Response ========== - A JSON response containing detailed track information including stages and fields. .. code-block:: JSON { "track_id": "integer", "title": "string", "active": "boolean", "created_by": "integer", "created_at": "string", "updated_at": "string", "job_details": { }, "link_to_apply": "string", "stages": [ { "stage_id": "string", "name": "string", "type": "string", "color": "string", "source_id": "string", "module": { "module_type": "string", "module_id": "string" } } ], "fields": [ { "id": "string", "label": "string", "type": "string", "required": "boolean", "options": [ ], "is_resume": "boolean" } ] }